de.katho.kBorrow.controller

## Class RewriteToNewUserController

- java.lang.Object
- - de.katho.kBorrow.controller.RewriteToNewUserController

    public class RewriteToNewUserController
    extends java.lang.Object

RewriteToNewUserController führt sämtliche Datenbankoperationen durch, die durch `RewriteToNewUserDialog` angestoßen werden.

### Field Summary

Fields
`private DbConnector` `dbCon` Referenz auf die Datenbank.

### Constructor Summary

Constructors
Constructor and Description
`RewriteToNewUserController(DbConnector pDbCon)` Erzeugt eine neue Instanz des RewriteToNewUserController.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `rewriteToNewUser(int pOldId, int pNewId)` Schreibt sämtliche Ausleihen vom Benutzer mit der ID 'pOldId' auf den Benutzer mit der ID 'pNewId' um.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dbCon

    private DbConnector dbCon

Referenz auf die Datenbank.

### Constructor Detail

#### RewriteToNewUserController

    public RewriteToNewUserController(DbConnector pDbCon)

Erzeugt eine neue Instanz des RewriteToNewUserController.

Parameters:
  `pDbCon` - Referenz auf die Datenbank.

### Method Detail

#### rewriteToNewUser

    public boolean rewriteToNewUser(int pOldId,
                                    int pNewId)

Schreibt sämtliche Ausleihen vom Benutzer mit der ID 'pOldId' auf den Benutzer mit der ID 'pNewId' um.

Parameters:
  `pOldId` - ID des bisherigen Benutzers.
  `pNewId` - ID des neuen Benutzers.
Returns:
  true, wenn die Operation erfolgreich war, false, wenn sie nicht erfolgreich war.